package projectzombie.menu.gui;

import gl_engine.vec.Vec2d;

public interface GUIComponent
{
	public void render(Vec2d mousePos);
	public void update(Vec2d mousePos);
	
	public boolean checkMouseHover(Vec2d pos);
	
	public void onRightClick(Vec2d pos);
	public void onMouseClick(Vec2d pos);
	public void onActivate();
	public void onBack();
}
